package com.yunfeiyun.agmp.fms.service.impl;

import com.yunfeiyun.agmp.fms.domain.MppProduct;
import com.yunfeiyun.agmp.fms.mapper.MppProductMapper;
import com.yunfeiyun.agmp.fms.service.IMppProductService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 产品信息Service业务层处理
 * 
 * @author 杨晓辉
 * @date 2023-05-21
 */
@Service
public class MppProductServiceImpl implements IMppProductService
{
    @Autowired
    private MppProductMapper mppProductMapper;

    /**
     * 查询产品信息
     * 
     * @param productId 产品信息主键
     * @return 产品信息
     */
    @Override
    public MppProduct selectMppProductByProductId(String productId)
    {
        return mppProductMapper.selectMppProductByProductId(productId);
    }

    /**
     * 查询产品信息列表
     * 
     * @param mppProduct 产品信息
     * @return 产品信息
     */
    @Override
    public List<MppProduct> selectMppProductList(MppProduct mppProduct)
    {
        return mppProductMapper.selectMppProductList(mppProduct);
    }

    /**
     * 新增产品信息
     * 
     * @param mppProduct 产品信息
     * @return 结果
     */
    @Override
    public int insertMppProduct(MppProduct mppProduct)
    {
        mppProduct.setProductId(mppProduct.getId());
        return mppProductMapper.insertMppProduct(mppProduct);
    }

    /**
     * 修改产品信息
     * 
     * @param mppProduct 产品信息
     * @return 结果
     */
    @Override
    public int updateMppProduct(MppProduct mppProduct)
    {
        return mppProductMapper.updateMppProduct(mppProduct);
    }

    /**
     * 批量删除产品信息
     * 
     * @param productIds 需要删除的产品信息主键
     * @return 结果
     */
    @Override
    public int deleteMppProductByProductIds(String[] productIds)
    {
        return mppProductMapper.deleteMppProductByProductIds(productIds);
    }

    /**
     * 删除产品信息信息
     * 
     * @param productId 产品信息主键
     * @return 结果
     */
    @Override
    public int deleteMppProductByProductId(String productId)
    {
        return mppProductMapper.deleteMppProductByProductId(productId);
    }
}
